0

I have a project with SQLite. I am using FMDB with SQLite. I installed FMDB in the project with a pod.

Now, I have to use Salesforce. I can install Salesforce SDK with pods.

BUT, I can´t use FMDB pod and Salesforce SDK pod. I remove FMDB pod.

How can I use FMDB from Salesforce SDK ?

I can´t import FMDB in the old way.

FMDB is hide in Salesforce SDK?

Thanks!

1
  • I don't really understand the problem. Can you please share the exact build/ runtime error that you are getting and I may be able to help further Commented Jun 3, 2016 at 8:11

1 Answer 1

0

Your FMDB pod is conflicting with the FMDB included in the mobile SDK. You cannot link against two versions of the same framework, and in this particular case, they may not be very similar at all because Salesforce appears to be using its own fork of FMDB.

There's no easy solution here. You could remove your FMDB and adopt the Salesforce SDK via CocoaPods with its fork of FMDB, or you could keep your FMDB and integrate the Salesforce SDK manually (without CocoaPods and without its fork of FMDB, but your FMDB may be incompatible with the SDK).

(Edit: Are you just asking for the location of their FMDB fork?)

3
  • Hello Jonathan. You are right, you describe perfectly the problem. I have another question. How can I adopt the Salesforce SDK fork from FMDB? Thanks
    – CesarRN
    Commented Jun 6, 2016 at 9:30
  • If you're using the SDK pod, it should already be pulled in for you. If you're integrating manually, you'll need to add the libraries yourself. Commented Jun 6, 2016 at 15:24
  • Hello, I am using the SDK pod and I can´t import any FMDB file. I don´t know how to do it ¿? Thanks
    – CesarRN
    Commented Jun 8, 2016 at 6:50

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .